ch.qos.logback.core.util

## Class InvocationGate

- java.lang.Object
- - ch.qos.logback.core.util.InvocationGate

    public class InvocationGate
    extends java.lang.Object

This class serves as a gateway for invocations of a "costly" operation on a critical execution path.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`InvocationGate()`

### Method Summary

Methods
`boolean` `skipFurtherWork()`
`void` `updateMaskIfNecessary(long now)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvocationGate

    public InvocationGate()

### Method Detail

#### skipFurtherWork

    public boolean skipFurtherWork()

#### updateMaskIfNecessary

    public void updateMaskIfNecessary(long now)